Package org.springframework.jdbc.datasource

# Class SimpleConnectionHandle

java.lang.Object
org.springframework.jdbc.datasource.SimpleConnectionHandle

All Implemented Interfaces:
  `ConnectionHandle`

public class SimpleConnectionHandle extends Object implements ConnectionHandle
Simple implementation of the `ConnectionHandle` interface, containing a given JDBC Connection.

Since:
  1.1
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`SimpleConnectionHandle(Connection connection)`
Create a new SimpleConnectionHandle for the given Connection.

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Return the specified Connection as-is.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.jdbc.datasource.ConnectionHandle

`releaseConnection`

## Constructor Details

### SimpleConnectionHandle

public SimpleConnectionHandle(Connection connection)
Create a new SimpleConnectionHandle for the given Connection.

Parameters:
  `connection` - the JDBC Connection

## Method Details

### getConnection

public Connection getConnection()
Return the specified Connection as-is.

Specified by:
  `getConnection` in interface `ConnectionHandle`

### toString

public String toString()

Overrides:
  `toString` in class `Object`